# $Revision: 1.13 $, $Date: 2007/02/13 07:16:50 $
%include	/usr/lib/rpm/macros.perl
Summary:	A tool to update Snort rules
Summary(pl.UTF-8):	Narzędzie do aktualizacji reguł Snorta
Name:		oinkmaster
Version:	2.0
Release:	1
License:	BSD
Group:		Networking
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	d2a1b56f51cf40e919c63206ca4ec8f8
Patch0:		%{name}-config_path.patch
URL:		http://oinkmaster.sourceforge.net/
BuildRequires:	rpm-perlprov
Requires:	snort
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
oinkmaster helps you update your Snort rules and comment out the
unwanted ones after each update. It will tell you exactly what changed
since the last update, giving you good control of your rules.

%description -l pl.UTF-8
oinkmaster pomaga w aktualizowaniu reguł Snorta, zakomentowując
niechciane reguły po każdej aktualizacji. Poinformuje dokładnie co
zostało zmienione od ostatniej aktualizacji, dając dobrą kontrolę nad
regułami.

%prep
%setup -q
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/oinkmaster,%{_bindir}}

install oinkmaster.pl $RPM_BUILD_ROOT%{_bindir}
install oinkmaster.conf $RPM_BUILD_ROOT%{_sysconfdir}/oinkmaster

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README UPGRADING ChangeLog INSTALL
%attr(755,root,root) %{_bindir}/*
%dir %{_sysconfdir}/oinkmaster
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/oinkmaster/oinkmaster.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: oinkmaster.spec,v $
Revision 1.13  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:49:14  baggins
- converted to UTF-8

Revision 1.11  2006/04/27 19:46:28  qboosh
- tab

Revision 1.10  2006/04/26 13:26:28  mguevara
- 2.0-1, noarch arch

Revision 1.9  2005/08/01 08:22:38  blekot
- up to 1.2

Revision 1.8  2005/07/24 12:36:30  darekr
- missing dir

Revision 1.7  2004/11/25 13:39:26  misi3k
- updated to 1.1
- URL update

Revision 1.6  2003/08/26 23:19:17  gotar
- no // in paths, sort, white space cleaning

Revision 1.5  2003/05/28 13:00:02  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:51:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/05/10 22:31:25  radek
- BR: rpm-perlprov instead of R: perl

Revision 1.2  2003/03/27 22:07:38  qboosh
- pl fixes

Revision 1.1  2003/02/19 13:46:42  misi3k
- initial release
